$ Copyright 1999-2002 Sun Microsystems, Inc.  All rights reserved.
$ Use is subject to license terms.
 
$  #ident  "@(#)dvdtest.msg  1.6  02/04/19  SMI"
 
 
$ dvdtest messages
$ VERBOSE	   1 - 1999	
$ INFO		2000 - 3999 (also used for LOGFILE and CONSOLE messages)
$ WARNING	4000 - 5999
$ ERROR		6000 - 7999
$ FATAL		8000 - 9999 

$ VERBOSE messages
$ READ_OFFSET
1000	"CDROM/DVDROM read offset = %d"

$ TRACK_INFO
1002	"Track %03d, type %d, mode %03d, lba %06d"
$ NO_PART_INFO
1003	"unsuccessful DKIOCGAPART;no filesystem on disk?"



$ P_inquiry_fail
1020 "\ninquiry failed: %d - %d."


$
1022   "inquiry passed."

$ INFO messages
$ TIME_WARNING
2000	"The play time %d sec exceeds time usually expected (%d sec) at track %d. This may happen under conditions of heavy system load"



2018   Connected <Media Type = %s, Block Size = %d, Capacity(blocks) = %lld >

2019  "Media Type = %s, Block Size = %d, Capacity(blocks) = %lld"



$ CONSOLE messages
$ ROUTINE_MESG
3000	"DVD test specific options:\n\
	 	dev = devicename\n\
		read = read access (random|sequential)\n\
		data = percentage of data to be read\n"

$ WARNING messages

$ DEV_NOT_AVAILABLE
4001	"Device unavailable to perform testing" Probable_Cause(s): \
<%s> Recommended_Action(s): <Retry after sometime>
$ CDROMSTOP_FAIL
4002	"ioctl CDROMSTOP failure (number of retries: %d)"


# COPY_PORT
4004 "Media is copy proctected" Probable_Cause(s): \
<%s> Recommended_Action(s): <Replace media> 


$ ERROR messages
$ SEEK_FAIL
6000	"Fail to seek at block %d" Probable_Cause(s): <%s> <Bad media> \
Recommended_Action(s): <retry with a different media>
$ READ_FAIL
6001	"Fail to read %d bytes at block %d" Probable_Cause(s): <%s> <Bad media> <Wrong optical disk type>

$ UNSUPPORTED_DATAMODE
6002	"Data mode %d not supported" Probable_Cause(s): <datamode has a value other \
than CD_DATAMODE1 or CD_DATAMODE2 (see cdio(7))>



$ FATAL messages
$ OPEN_FAIL
8000	"Fail to open device %s" Probable_Cause(s): <%s>

$ IOCTL_FAIL
8001	"Fail ioctl %s" Probable_Cause(s): <%s>

$ NO_PARTITION
8002	"Fail ioctl %s" Probable_Cause(s): <%s> <No partitions on the disc>

$ NO_MEMORY
8003	"Fail to allocate %d bytes of memory"


$ DATACMP_ERR
8005	"Data miscompare while reading %d bytes starting from block %d" \
Probable_Cause(s): <An incorrect value for cdtype has been passed to dvdtest> \
<Bad media>

$ CDROMSTART_FAIL
8006	"ioctl CDROMSTART failure (number of retries: %d)"

$ STAT_FAIL
8007	"Failed to get information about %s" \
Probable_Cause(s): <No media in the drive> <DVD-ROM drive not connected or \
configured properly>

$
8010   "The media is not a CD/DVD. The ctype is %d. "

$
8012 "Failed on ioctl %s: %d: %s" 

$
8014 "Failed on ioctl %s: %s: %s"

$ 
8016 "Failed on ioctl %s: %d: %s" Probable_Cause(s): <Device driver does not support dvd device> Recommended_Action(s): <Install new device driver or new OS>  <If the problem persists, call your authorized Sun service provider.>

$ 
8018 "Not a DVD media. Media_type is %d" Probable_Cause(s): <Not a DVD media> Recommended_Action(s): <Insert the DVD media> <Re-probe VTS> <If the problem persists, call your authorized Sun service provider.> 

# COPY_PORT
8020 "Media is copy proctected" Probable_Cause(s): \
<%s> Recommended_Action(s): <Replace media> 
